/* Fonts downloaded from https://gwfh.mranftl.com/fonts/roboto?subsets=latin */
/* roboto-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('/adfs/portal/fonts/roboto-v30-latin-regular.css') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('/adfs/portal/fonts/roboto-v30-latin-500.css') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    width: 100%;
    background-color: #ffffff;
    color: #626669;
    font-weight: normal;
    font-family: "Roboto", "Helvetica Neue-final", Helvetica, Arial, sans-serif;
    min-width: 500px;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

body {
    font-size: 0.9em;
}


#noScript {
    margin: 16px;
    color: Black;
}

:lang(en-GB) {
    quotes: '\2018' '\2019' '\201C' '\201D';
}

:lang(zh) {
    font-family: 微软雅黑;
}

@-ms-viewport {
    width: device-width;
}

@-moz-viewport {
    width: device-width;
}

@-o-viewport {
    width: device-width;
}

@-webkit-viewport {
    width: device-width;
}

@viewport {
    width: device-width;
}

/* Theme layout styles */

#fullPage,
#brandingWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #252525;
}

#brandingWrapper {
    display: none;
    background-color: #4488dd;
}

#branding {
    /* A background image will be added to the #branding element at run-time once the illustration image is configured in the theme.
       Recommended image dimensions: 1420x1200 pixels, JPG or PNG, 200 kB average, 500 kB maximum. */
    height: 100%;
    margin-right: 500px;
    margin-left: 0px;
    background-color: inherit;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
}

#contentWrapper {
    position: relative;
    height: auto;
    background-color: transparent;
    /* for IE7 */
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
    width: 100%;
    padding: 0 20px;
    background-color: #252525;
}

#content {
    height: auto !important;
    margin: 0 auto 10px;
    padding: 14% 0 0;
    width: 100%;
    max-width: 720px;
    position: relative;
    top: -40px;
	display: grid;
	justify-items: center;
}

#content main {
	border-radius: 2px;
	background-color: #F9FAFB;
	width: 600px;
    display: grid;
    grid-template-columns: 1fr 1fr;
	position: relative;
}


#content main.with-okta {
	grid-template-columns: 1fr;
}

#content main::before {
	content: '';
	display: inline-block;
	position: absolute;
	height: 187px;
	width: 1px;
	left: 50%;
	top: 50%;
	translate: -50% -50%;
	background: rgba(0, 0, 0, 0.23);
}

#content main.with-okta::before {
	display: none;
	
}

#content main.with-okta>div:first-child {
    display: none;
}


#content main>div {
    width: 100%;
}

#authOptionLinks {
    margin-bottom: 0;
}

.forgotLink {
	display: block;
    color: #545658;
	text-align: center;

	font-family: Roboto;
	font-size: 12px;
	font-style: normal;
	font-weight: 400;
	line-height: 266%; /* 31.92px */
	text-decoration-line: underline;
	letter-spacing: 1px;
	margin: -4px 0 4px 0;
}

#loginMessage {
    display: none;
}

#content main>div:first-child {
    padding: 24px 26px 24px 26px;
}

#content main>div .lbl-Welcome {
    color: #2F3337;
text-align: center;

/* typography/subtitle2 */
font-size: 14px;
font-style: normal;
font-weight: 500;
line-height: 157%; /* 21.98px */
letter-spacing: 0.1px;
margin-bottom: 4px;
display: block;
}

#content main>div .welcome-desc {
color: #2F3337;
text-align: center;
font-size: 12px;
font-style: normal;
font-weight: 400;
line-height: 166%; /* 19.92px */
margin-bottom: 20px;

}

#content main>div .a-selling,
#content main>div .a-selling:hover,
#content main>div .a-selling:visited {
    color: #2F3337;
    text-decoration: none;
    background-color: transparent;
    padding: 6px 16px;
    display: grid;
    margin: auto;
	text-transform: uppercase;
	width: 100%;
	text-align: center;
	border-radius: 4px;
	border: 1px solid rgba(47, 51, 55, 0.50);
	font-size: 14px;
    font-weight: 500;
}



#header {
    font-size: 2em;
    font-weight: lighter;
    font-family: "Roboto", "Helvetica Neue-final", Helvetica, Arial, sans-serif;
    padding-top: 0;
    margin-bottom: 0;
    margin: 0 auto 20px;
    text-align: center;
}

#header img {
    /* Logo image recommended dimension: 60x60 (square) or 350X35 (elongated), 4 kB average, 10 kB maximum. Transparent PNG strongly recommended. */
    max-width: 334px;
	width: 100%;
    height: auto;

}

#workArea{

	width: 300px;
	padding: 22px 34px 24px 34px
}


#header {
    word-wrap: break-word;
    // width:350px;
}


#introduction {
    margin-bottom: 0;
}

#footerPlaceholder {
    height: auto;
}

#footer {
    height: 40px;
    padding: 10px 50px 0 50px;
    position: relative;
    color: #666666;
    font-size: 12px;
    width: 100%;
    bottom: 15px;
    left: 0;
    right: 0;
}

#footerLinks {
    float: none;
    display: block;
    text-align: center;
    opacity: 1;
}

#authArea {
    margin-bottom: 0 !important;
}

#copyright {
    font: Regular 12px/17px Open Sans;
    letter-spacing: 0px;
    color: #AFB3BA;
}

.pageLink {
    color: #000000;
    padding-left: 16px;
}

/* Common content styles */

.clear {
    clear: both;
}

.float {
    float: left;
}

.floatReverse {
    float: right;
}

.indent {
    margin-left: 16px;
}

.indentNonCollapsible {
    padding-left: 16px;
}

.hidden {
    display: none;
}

.notHidden {
    display: inherit;
}

.error {

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    color: #fff;
    padding: 10px;
    margin: 0px;
    background: #C7202C;
    text-align: left;
    padding-top: 8px;

}

.error span {
    font-size: 12px !important;
    padding-left: 13.5px;
    position: relative;
    top: -2px;
}

.actionLink {
    margin-bottom: 8px;
    display: block;
}

a {
    color: #AFB3BA;
    text-decoration: none;
    background-color: transparent;
}

a:hover,
a:focus {
    color: #0067b8;
}

ul {
    list-style-type: disc;
}

ul,
ol,
dd {
    padding: 0 0 0 16px;
}

h1,
h2,
h3,
h4,
h5,
label {
    margin-bottom: 8px;
}

.submitMargin {
    margin-top: 0;
    margin-bottom: 0;
}

.topFieldMargin {
    margin-top: 8px;
}

.fieldMargin {
    margin-bottom: 8px;
}

.groupMargin {
    margin-bottom: 30px;
}

.sectionMargin {
    margin-bottom: 64px;
}

.block {
    display: block;
}

.autoWidth {
    width: auto;
}

.fullWidth {
    width: 342px;
}

.fullWidthIndent {
    width: 326px;
}

.smallTopSpacing {
    margin-top: 15px;
}

.mediumTopSpacing {
    margin-top: 25px;
}

.largeTopSpacing {
    margin-top: 35px;
}

.smallBottomSpacing {
    margin-bottom: 5px;
}

.mediumBottomSpacing {
    margin-bottom: 15px;
}

.largeBottomSpacing {
    margin-bottom: 25px;
}

input {
    max-width: 100%;
    font-family: Roboto;
    margin-bottom: 8px;

}

input[type="radio"],
input[type="checkbox"] {
    vertical-align: middle;
    margin-bottom: 0px;
}

#passwordArea, #oldPasswordArea, #newPasswordArea, #confirmNewPasswordArea {
    position: relative;
}

#passwordArea>img, #oldPasswordArea>img, #newPasswordArea>img, #confirmNewPasswordArea>img {
    position: absolute;
    right: 0;
    top: 0;
	height:40px;
	width:auto;
    padding: 12px 10px;
    cursor: pointer;
}

#passwordArea>img.showIcon, #oldPasswordArea>img.showIcon, #newPasswordArea>img.showIcon, #confirmNewPasswordArea>img.showIcon {
    display: none;
}

span.submit,
input[type="submit"] {
	border-radius: 4px;
    background-color: #134AF0 !important;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.20), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    font-size: 14px;
    border: none;

    min-width: 80px;
    width: 100%;
    height: auto;
    justify-content: center;
    display: flex;
    align-items: center;
    padding: 9px 12px;
    transition: background 0s;
    cursor: pointer;

    -ms-user-select: none;
    -moz-transition: background 0s;
    -webkit-transition: background 0s;
    -o-transition: background 0s;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
    color: #FFFFFF;
    background-color: #efefef;
	text-transform: uppercase;

}

span.submit>img,
input[type="submit"]>img {
    margin-right: 8px;
}

span.submit.enableSubmit {
    pointer-events: all;
    border: 1px solid #0485cc;
    color: #ffffff;
    background-color: #0485cc;
    box-shadow: 0px 1px 3px #0000004d;
}

span.submit.enableSubmit>img {
    filter: brightness(2);
}

input[type="submit"]:hover,
span.submit:hover {
    background: #428bca;
    box-shadow: 0px 3px 3px #0000004d;
}

input[type="submit"]:disabled,
span.submit:disabled {
    background: rgb(212, 227, 251);
    cursor: default;
}

input[type="submit"]:hover:disabled,
span.submit:hover:disabled {
    background: rgb(212, 227, 251);
    cursor: default;
}

input.text {
	border-radius: 4px;
    border: 1px solid rgba(0, 0, 0, 0.23);
	color: #54565;
	font-family: Roboto;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px; /* 150% */
    height: 40px;
    width: 100%;
    padding: 8px 12px 8px 12px;
    margin-bottom: 16px;
    outline: 0;
    box-shadow: none;
}

::input-placeholder {
    color: #555555;
    font-size: 14px;
    background: #ffffff;
}

::-webkit-input-placeholder {
    color: #555555;
    font-size: 14px;
    background: #ffffff;
}

:-moz-placeholder {
    color: #555555;
    font-size: 14px;
    background: #ffffff;
}

::-moz-placeholder {
    color: #555555;
    font-size: 14px;
    background: #ffffff;
}

:-ms-input-placeholder {
    color: #555555;
    font-size: 14px;
    background: #ffffff;
}

#newPasswordArea>span#newpwdError,
#confirmNewPasswordArea>span#cnfpwdError {
    position: relative;
    display: block;
    bottom: 15px;
    font-size: 12px;
    color: #f40000
}

input.text:focus {
    border: 1px solid #0485CC;
}

select {
    height: 28px;
    min-width: 60px;
    max-width: 100%;
    margin-bottom: 8px;

    white-space: nowrap;
    overflow: hidden;
    box-shadow: none;
    padding: 2px;
    font-family: inherit;
}

h1,
.giantText {
    font-size: 2.0em;
    font-weight: lighter;
}

h2,
.bigText {
    font-size: 1.33em;
    font-weight: lighter;
}

h3,
.normalText {
    font-size: 1.0em;
    font-weight: normal;
}

h4,
.smallText {
    font-size: 0.9em;
    font-weight: normal;
    color: white;
    margin-bottom: 10px;
}

h5,
.tinyText {
    font-size: 0.8em;
    font-weight: normal;
}

.hint {
    color: #999999;
}

.emphasis {
    font-weight: 700;
    color: #2F2F2F;
}

.smallIcon {
    height: 20px;
    padding-right: 12px;
    vertical-align: middle;
}

.largeIcon {
    height: 48px;
    /* width:48px; */
    vertical-align: middle;
}

.largeTextNoWrap {
    height: 48px;
    display: table-cell;
    /* needed when in float*/
    vertical-align: middle;
    white-space: nowrap;
    font-size: 1.2em;
}

.idp {
    height: 48px;
    clear: both;
    padding: 8px;
    overflow: hidden;
}

.idp:hover {
    background-color: #cccccc;
}

.idpDescription {
    width: 80%;
}


/*----------------------- Tooltip CSS-----------------------*/
.tooltip {
    position: relative;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 100%;
    background-color: #000;
    color: #fff;
    border-radius: 3px;
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: calc(100% + 15px);
	top: -20px;
    opacity: 0;
    transition: opacity 0.3s;
    padding: 15px;
	height: 300px;
}

.tooltip .tooltiptext h3 {
    display: block;
    font-size: 1.17em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

.tooltip .tooltiptext p {
    display: block;
    margin: 5px;
    font-size: 13px;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: -5px;
    margin: auto;
    width: 0px;
    height: 0px;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 5px solid #000;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

@media only screen and (max-width: 720px) {
	
	#content main {
		width: 100%;
		grid-template-columns: 1fr;
	
	}
	
	#content main::before {
		display: none;
	}
}

/* Form factor: intermediate height layout. Reduce space of the header. */
@media only screen and (max-height: 820px) {
    #header {
        padding-top: 40px;
        min-height: 0px;
        overflow: hidden;
    }

    /*#workArea
    {
        margin-bottom:60px; 
    }*/

}

/* Form factor: intermediate height layout. Reduce space of the header. */
@media only screen and (max-height: 500px) {
    #header {
        padding-top: 30px;
        margin-bottom: 30px;
    }

    /*#workArea{
        margin-bottom:40px; 
    }*/
}

/* Form factor: intermediate layout (WAB in non-snapped view falls in here) */
@media only screen and (max-width: 600px) {

    html,
    body {
        min-width: 260px;
    }

    #brandingWrapper {
        display: none;
    }

    #contentWrapper {
        float: none;
        width: 100%;
        margin: 0px auto;
    }

    #content,
    #footer,
    #header {
        width: 400px;
        padding-left: 0px;
        padding-right: 0px;
        margin-left: auto;
        margin-right: auto;
    }

    #workArea {
        width: 100%;
    }

    .fullWidth {
        width: 392px;
    }

    .fullWidthIndent {
        width: 376px;
    }
}

@media only screen and (max-width: 450px) {
    body {
        font-size: 0.8em;
    }

    #content,
    #footer {
        width: auto;
        margin-right: 33px;
        margin-left: 25px;
        margin-top: 20px;
    }

    #header {
        width: auto;
    }

    span.submit,
    input[type="submit"] {
        font-size: 0.9em;
    }

    .fullWidth {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
    }

    .fullWidthIndent {
        width: 85%;
    }

    .idpDescription {
        width: 70%;
    }
}

/* Form factor: snapped WAB (for WAB to work in snapped view, the content wrapper width has to be set to 260px) */
@media only screen and (max-width:280px) {
    #contentWrapper {
        width: 260px;
    }

    .idpDescription {
        max-width: 160px;
        min-width: 100px;
    }
}

/* Targets displays using any of Windows’ High Contrast Mode themes: */
@media screen and (-ms-high-contrast: active) {
    textarea::-webkit-input-placeholder {
        color: #00FF00;
    }

    textarea:-moz-placeholder {
        /* Firefox 18- */
        color: #00FF00;
    }

    textarea::-moz-placeholder {
        /* Firefox 19+ */
        color: #00FF00;
    }

    textarea:-ms-input-placeholder {
        color: #00FF00;
    }
}

/* Targets displays using the Windows’ "High Contrast Black" theme: */
@media screen and (-ms-high-contrast: white-on-black) {
    #contentWrapper {
        background-color: #000000;
        color: #ffffff;
    }

    .idp:hover {
        background-color: #ffffff;
        color: #000000;
    }

    #brandingWrapper {
        background-color: #000000;
        color: #ffffff;
    }

    html,
    body {
        background-color: #000000;
        color: #ffffff;
    }

    textarea::-webkit-input-placeholder {
        color: #ffffff;
    }

    textarea:-moz-placeholder {
        /* Firefox 18- */
        color: #ffffff;
    }

    textarea::-moz-placeholder {
        /* Firefox 19+ */
        color: #ffffff;
    }

    textarea:-ms-input-placeholder {
        color: #ffffff;
    }
}

/* Targets displays using the Windows’ "High Contrast White" theme: */
@media screen and (-ms-high-contrast: black-on-white) {
    #contentWrapper {
        background-color: #ffffff;
        color: #000000;
    }

    .idp:hover {
        background-color: #000000;
        color: #ffffff;
    }

    #brandingWrapper {
        background-color: #ffffff;
        color: #000000;
    }

    html,
    body {
        background-color: #ffffff;
        color: #000000;
    }

    textarea::-webkit-input-placeholder {
        color: #000000;
    }

    textarea:-moz-placeholder {
        /* Firefox 18- */
        color: #000000;
    }

    textarea::-moz-placeholder {
        /* Firefox 19+ */
        color: #000000;
    }

    textarea:-ms-input-placeholder {
        color: #000000;
    }
}

#cancelButton {
	color: #2F3337;
    text-decoration: none;
	border: 1px solid rgba(47, 51, 55, 0.50);
	background-color: #00000000 !important;
}

input#submitButton:disabled {
    background-color: rgb(212, 227, 251) !important;
    color: rgba(0, 0, 0, 0.38) !important;
    cursor: not-allowed;
}